function [c, ceq] = constraintas(xest,ns,wgt,nrm,indp)
%Constraint function for global identification under indeterminacy
%It keeps the distance between two parameter values >=ns

%Inputs:
%xest - 1x(p+q) candidate vector of parameters
%ns - neighborhood size (denoted "c" in the paper)
%wgt - user-specified vector of weights (dimension=dim(indp))
%nrm - specified norm, takes inputs 1 (for L-1 norm), 2(for L-2 norm) and Inf (for infinity norm)
%indp - vector of indices for parameters to be constrained, in increasing
%order

xcon=xest(indp); %select the constrained parameters
load theta0asi; %load benchmark model parameters
   c = ns-norm((xcon-theta(indp)')./wgt,nrm);
   ceq = [];
end
