function [c, ceq] = constraintasbp2(xest,ns,wgt,nrm,indp)
%Constraint function for global identification under indeterminacy
%Keeps the distance between two parameter vectors >=ns


%Inputs:
%xest - 1x(p+q-2) candidate vector of parameters
%ns - neighborhood size (denoted "c" in the paper)
%wgt - 1x(p+q-2) user-specified vector of weights
%nrm - specified norm, takes inputs 1 (for L-1 norm), 2(for L-2 norm) and Inf (for infinity norm)
%indp - vector of indices for parameters to be constrained, in increasing
%order. Note here the parameter order has to take into account parameters
%fixed in optimization. 

load theta0asi; %load benchmark model parameters
xcon=xest(indp);
thetain=[theta(1);theta(3:4);theta(6:end)]'; %parameters fixed in optimization removed
   c = ns-norm((xcon-thetain(indp))./wgt,nrm);
   ceq = [];
end