function X = transparas(theta)
%Transformation of parameters for AS(2007) model back from the unconstrained specification
%Translated from Lubik-Schorfheide (2004) Gauss code

%parameter order
%[tau rstar kappa psi1 psi2 rhoR rhog rhoz sigR sigg sigz, m_eta_r, m_eta_g, m_eta_z, sig_eta]';

partype=[2;2;2;2;2;1;1;1;2;2;2;0;0;0;2;2]; %parameter type: 1 - constrained as [a,b], e.g. for rho_gz 
%a=-1; b=1; 2 - constrained as [0, inf]; 0 - unconstrained

%column 1 -a, column 2 - b, column 3 - c
abc=[1e-05,0,1;1e-05,0,1;1e-05,0,1;1e-05,0,1;1e-05,0,1;1e-05,0.99,1;1e-05,0.99,1;1e-05,0.99,1;1e-05,0,1;1e-05,0,1;1e-05,0,1;0,0,0;0,0,0;0,0,0;1e-05,0,1;1e-05,0,1];

ntheta=length(theta); 


for i=1:ntheta
    a=abc(i,1);
    b=abc(i,2);
    c=abc(i,3);
    
    if partype(i,1)==1
        theta(i)=((a+b)/2) + (0.5*(b-a)*c*theta(i))/(sqrt(1+c^2*theta(i)^2));
    elseif partype(i,1)==2
        theta(i)= a + exp(c*(theta(i)-b));
    end
end
X=theta;
end