function [c, ceq] = constraintlsdp(xest,ns,wgt,nrm,indp)
%Constraint function for global identification under determinacy,LS(2004)
%model.
%Keeps the specified norm between two parameter vectors >=ns (neighborhood size)

%Psi2 parameter is kept fixed at its theta0 value

%Inputs:
%xest - 1x(p+q-1) candidate vector of parameters
%ns - neighborhood size (denoted "c" in the paper)
%wgt - 1x(p+q-1) user-specified vector of weights
%nrm - specified norm, takes inputs 1 (for L-1 norm), 2(for L-2 norm) and Inf (for infinity norm)
%indp - vector of indices for parameters to be constrained, in increasing
%order. Note here the parameter order has to take into account parameters
%fixed in optimization. 

load theta0lsd;
xcon=xest(indp);
thetain=[theta(1:4);theta(6:end)]';
  c = ns-norm((xcon-thetain(indp))./wgt,nrm);
   ceq = [];
end