function gtheta = gtheta_as(theta,ind)

%Parameter transformation to variance formulation (for KL minimization) if ind=1.
%AS(2007) model

if ind==1
%From standard deviations to variance parameterization:

theta(9:11)=theta(9:11).^2; %reparameterize structural shock sigmas as sigma^2

if length(theta)>11
    theta(15)=theta(15)^2; %get variance of the sunspot shock
end

elseif ind==2
    %From variance to standard deviations parameterization:
    
theta(9:11)=sqrt(theta(9:11)); %get back standard deviations of structural shocks 
if length(theta)>11
    theta(15)=sqrt(theta(15)); %get st. dev of the sunspot shock
end

end
gtheta=theta; %output
end