% Table S13: Identification check for LS(2004) model Taylor rule



%% Direction 1
%load initial parameter row vector theta
load theta0lsd

%theta=theta';
nit=10099; %predefine necessary iterations
nt=12; %no parameters
h=1e-04; %step size in Euler approximation 

%blanks
G=zeros(nt,nt);
theta2=zeros(nit+1,nt); %matrix collecting parameters on the curve
theta2(1,:)=theta;
rankvec2=zeros(nit+1,1);
ctheta2=zeros(4,nit+1);
eigcheck2=zeros(4,nit+1);




tic;
for k=2:10100 
if mod(k,1000)==0
        k %display counter at each 1000th iteration
        
       
    end
    G=gmatls(theta2(k-1,:),10000); 
G=G([4,5,6,9],[4,5,6,9]); %extract relevant submatrix
rankvec2(k,1)= rank(G); %keep track of rank
[vect, val] = eig(G);
b=sort(diag(val));
a=find(diag(val)==b(1)); %choose smallest eigenvalue
c0=real(vect(:,a));
if c0(1,1)>0
    c0=c0*(-1);
end
ctheta2(:,k)=c0;
eigcheck2(:,k)=diag(val);
clear c0 a
theta2(k,:)=theta2(k-1,:)+ [zeros(1,3),h*ctheta2(1:3,k)',zeros(1,2),h*ctheta2(4,k),zeros(1,3)]; %update parm. vector

end
toc;

% check KL and Empirical distances for equally spaced points
ind=[1010:1010:10100]';
thetacheck=theta2(ind,:);
klind=zeros(size(thetacheck,1),1);
normind=klind;
edind=zeros(size(thetacheck,1),2);
for i=1:size(thetacheck,1)
    klind(i,1)=klls(theta,thetacheck(i,:),1,1); %check KL
    edind(i,:)=[pfhls(theta,thetacheck(i,:),1,1,0.05,80);pfhls(theta,thetacheck(i,:),1,1,0.05,1000)];
    normind(i,1)=norm(theta'-thetacheck(i,:)); 
    
end

save curve4LS_direction1

%% Display results for Direction 1
tabs13a=[thetacheck(:,[4,5,6,9]),normind,klind,edind]; %put together number
printmat(tab9a, 'Table S13 - Panel(a): Direction 1', 'theta1 theta2 theta3 theta4 theta5 theta6 theta7 theta8 theta9 theta10', 'psi1 psi2 rhor sigma_r norm KL T=80 T=1000');

%% Direction 2
clear
%load initial parameter row vector theta
load theta0lsd

%theta=theta';
nit=4199; %predefine necessary iterations
nt=12; %no parameters
h=1e-04; %step size in Euler approximation 

%blanks
G=zeros(nt,nt);
theta2=zeros(nit+1,nt); %matrix collecting parameters on the curve
theta2(1,:)=theta;
rankvec2=zeros(nit+1,1);
ctheta2=zeros(4,nit+1);
eigcheck2=zeros(4,nit+1);


tic;
for k=2:4200
if mod(k,1000)==0
        k %display counter at each 1000th iteration
        
       
    end
    G=gmatls(theta2(k-1,:),10000); 
G=G([4,5,6,9],[4,5,6,9]); %extract relevant submatrix
rankvec2(k,1)= rank(G); %keep track of rank
[vect, val] = eig(G);
b=sort(diag(val));
a=find(diag(val)==b(1)); %choose smallest eigenvalue
c0=real(vect(:,a));
if c0(1,1)<0
    c0=c0*(-1);
end
ctheta2(:,k)=c0;
eigcheck2(:,k)=diag(val);
clear c0 a
theta2(k,:)=theta2(k-1,:)+ [zeros(1,3),h*ctheta2(1:3,k)',zeros(1,2),h*ctheta2(4,k),zeros(1,3)]; %update parm. vector


end
toc;

% check KL and Empirical distances for equally spaced points
ind=[420:420:4200]';
thetacheck=theta2(ind,:);
klind=zeros(size(thetacheck,1),1);
normind=klind;
edind=zeros(size(thetacheck,1),2);
for i=1:size(thetacheck,1)
    klind(i,1)=klls(theta,thetacheck(i,:),1,1); %check KL
    edind(i,:)=[pfhls(theta,thetacheck(i,:),1,1,0.05,80);pfhls(theta,thetacheck(i,:),1,1,0.05,1000)];
    normind(i,1)=norm(theta'-thetacheck(i,:)); 
end

save curve4LS_direction2

%% Display results for Direction 2
tabs13b=[thetacheck(:,[4,5,6,9]),normind,klind,edind]; %put together number
printmat(tab9b, 'Table S13 - Panel(b): Direction 2', 'theta1 theta2 theta3 theta4 theta5 theta6 theta7 theta8 theta9 theta10', 'psi1 psi2 rhor sigma_r norm KL T=80 T=1000');
