function [c, ceq] = constraintsw(xest,ns,wgt,nrm,indp)
%Constraint function for global identification under determinacy (SW (2007) model)
%Keeps the distance between two parameter vectors >= ns 

%Inputs:
%xest - 1x(p+q) candidate vector of parameters
%ns - neighborhood size (denoted "c" in the paper)
%wgt - user-specified vector of weights (dimension=dim(indp))
%nrm - specified norm, takes inputs 1 (for L-1 norm), 2(for L-2 norm) and Inf (for infinity norm)
%indp - vector of indices for parameters to be constrained, in increasing
%order

load theta0swd; %load benchmark model parameters
xcon=xest(indp); %select the constrained parameters
  c = ns-norm((xcon-theta(indp)')./wgt,nrm);
   ceq = [];
end