function [c, ceq] = constraintast(xest,ns,wgt,nrm,indp)
%Constraint function for global identification under indeterminacy
%Keeps the specified norm between two parameter vectors >=ns (neighborhood size)

%Parameter tau is kept fixed in optimization and hence does not enter the
%constraint

%Inputs:
%xest - 1x(p+q-1) candidate vector of parameters
%ns - neighborhood size (denoted "c" in the paper)
%wgt - 1x(p+q-1) user-specified vector of weights
%nrm - specified norm, takes inputs 1 (for L-1 norm), 2(for L-2 norm) and Inf (for infinity norm)
%indp - vector of indices for parameters to be constrained, in increasing
%order. Note here the parameter order has to take into account parameters
%fixed in optimization. E.g., since tau, the first parameter, is fixed at
%tis default value in optimization, index 1 will correspond to the next
%free parameter, i.e., beta in this case etc.

load theta0asi; %load benchmark model parameters
xcon=xest(indp);
thetain=theta([2:end])'; %parameters fixed in optimization removed
   c = ns-norm((xcon-thetain(indp))./wgt,nrm);
   ceq = [];
end
