%% Load previous results and set up

load table_10_p2_min %load results from GA+Multistart optimization

resfilename2=[resfilename,'_mp']; %new result file name


thetamp=mp(thetaind)'; %set starting value to the minimizer computed by GA+Multistart
thetamp(6)=thetamp(6)+mp('1e-16');
thetamp(13)=thetamp(13)+mp('1e-16');
thetamp(14)=thetamp(14)+mp('1e-16'); %bring parameters on the boundary inside the bound
%% 
%define objective function
ObjFunmp=@(theta0)kloptswwstick_mp(theta0,bc);

%set fminsearch options
optfms=optimset('fminsearch');
optfms=optimset(optfms,'Display','iter','MaxFunEvals',50000,'MaxIter',6000,'TolFun',1e-30,'TolX',1e-12);


%perform optimization:
timefms=tic;
[xestmp,fvalmp,eflagmp,outmp] = fminsearch(ObjFunmp,transfmpsw(thetamp([[1:10],[12:34]]),1,[[1:10],[12:34]]),optfms);
timelfms=toc(timefms);

%% Arrange and save results
thetaindmp=transfmpsw(xestmp,2,[[1:10],[12:34]])'; %recover the new minimizer
thetaindmp=[thetaindmp(1:10);0.1;thetaindmp(11:end)];
klmp=fvalmp; %recover the Kl distance

save(resfilename2) %save results into a new file

%% Display results

klmp_o=ObjFunmp(transfmpsw(thetamp([[1:10],[12:34]]),1,[[1:10],[12:34]])); %original KL in mp


disp('-----------------------------------------------')

disp 'Table 10. The closest models with constrained real and nominal frictions, SW (2007) model'
disp '                                       Column 2: wstick=0.1'
disp('                 Original minimizer                              New minimizer')
disp([thetamp',thetaindmp]);
 
display ('                     Original KL                                     New KL');
display ([klmp_o,klmp]);