%% Load previous results and set up

load table_10_p6_min

resfilename2=[resfilename,'_mp']; %new result file name


thetamp=mp(thetaind)'; %set starting value to the minimizer computed by GA+Multistart
thetamp(5)=thetamp(5)-mp('1e-16');
thetamp(15)=thetamp(15)-mp('1e-16'); %bring parameters on the boundary inside the bound
%% 
%define objective function
ObjFunmp=@(theta0)kloptswhab_mp(theta0,bc);

%set fminsearch options
optfms=optimset('fminsearch');
optfms=optimset(optfms,'Display','iter','MaxFunEvals',50000,'MaxIter',6000,'TolFun',1e-30,'TolX',1e-12);


%perform optimization:
timefms=tic;
[xestmp,fvalmp,eflagmp,outmp] = fminsearch(ObjFunmp,transfmpsw(thetamp([[1:7],[9:34]]),1,[[1:7],[9:34]]),optfms);
timelfms=toc(timefms);

%% Arrange and save results
thetaindmp=transfmpsw(xestmp,2,[[1:7],[9:34]])'; %recover the new minimizer
thetaindmp=[thetaindmp(1:7);0.1;thetaindmp(8:end)];
klmp=fvalmp; %recover Kl distance

save(resfilename2) %save results into a new file

%% Display results

klmp_o=ObjFunmp(transfmpsw(thetamp([[1:7],[9:34]]),1,[[1:7],[9:34]])); %original KL in mp


disp('-----------------------------------------------')

disp 'Table 10. The closest models with constrained real and nominal frictions, SW (2007) model'
disp '                                       Column 6: chab=0.1'
disp('                 Original minimizer                              New minimizer')
disp([thetamp',thetaindmp]);
 
display ('                     Original KL                                     New KL');
display ([klmp_o,klmp]);