%% Load previous results and set up

load table_10_p8_min %load results from GA+Multistart optimization

resfilename2=[resfilename,'_mp']; %new result file name


thetamp=mp(thetaind)'; %set starting value to the minimizer computed by GA+Multistart
thetamp(33)=thetamp(33)-mp('1e-16'); % bring the parameter on the boundary inside the bound
%% 
%define objective function
ObjFunmp=@(theta0)kloptswfc_mp(theta0,bc);

%set fminsearch options
optfms=optimset('fminsearch');
optfms=optimset(optfms,'Display','iter','MaxFunEvals',50000,'MaxIter',6000,'TolFun',1e-30,'TolX',1e-12);


%perform optimization:
timefms=tic;
[xestmp,fvalmp,eflagmp,outmp] = fminsearch(ObjFunmp,transfmpsw(thetamp([[1:8],[10:34]]),1,[[1:8],[10:34]]),optfms);
timelfms=toc(timefms);

%% Arrange and save results
thetaindmp=transfmpsw(xestmp,2,[[1:8],[10:34]])'; %recover the new minimizer
thetaindmp=[thetaindmp(1:8);1.1;thetaindmp(9:end)];
klmp=fvalmp; %recover the Kl distance

save(resfilename2) %save results into a new file

%% Display results

klmp_o=ObjFunmp(transfmpsw(thetamp([[1:8],[10:34]]),1,[[1:8],[10:34]])); %original KL in mp


disp('-----------------------------------------------')

disp 'Table 10. The closest models with constrained real and nominal frictions, SW (2007) model'
disp '                                       Column 8: cfc=1.1'
disp('                 Original minimizer                              New minimizer')
disp([thetamp',thetaindmp]);
 
display ('                     Original KL                                     New KL');
display ([klmp_o,klmp]);