%% Load previous results and set up

load tables_23_p4_min %load results from GA+Multistart optimization

wgtmp=mp(ones(1,numpar)); %set weights as mp object

conmp=mp('[1,0.1]'); %set constraint as mp object

resfilename2=[resfilename,'_mp']; %new result file name

thetamp=mp(thetaind)'; %set starting value to the minimizer computed by GA+Multistart

%% Additional local optimization using MP version of fminsearch

%define objective function
ObjFunmp=@(theta0)kloptas_mp2(theta0,conmp,wgtmp,nrm,indp,bc);

%set fminsearch options
optfms=optimset('fminsearch');
optfms=optimset(optfms,'Display','iter','MaxFunEvals',50000,'MaxIter',20000,'TolFun',1e-30,'TolX',1e-12);


%perform optimization:
timefms=tic;
[xestmp,fvalmp,eflagmp,outmp] = fminsearch(ObjFunmp,transfmpas2(thetamp(2:end),1,1,[2:15]),optfms);
timelfms=toc(timefms);


%% Arrange and save results
thetaindmp=transfmpas2(xestmp,2,1,[2:15])'; 
thetaindmp=[thetamp(1);thetaindmp];%recover the new minimizer
klmp=fvalmp; %recover the Kl distance

save(resfilename2) %save results into a new file

%% Display results

klmp_o=ObjFunmp(transfmpas2(thetamp(2:end),1,1,[2:15])); %original KL in mp


disp('-----------------------------------------------')

disp 'Table 2. Parameter values minimizing the KL criterion, AS (2007) model'
disp '                                    (b) tau fixed, c=0.1'
disp('                 Original minimizer                              New minimizer')
disp([thetamp',thetaindmp]);
 
display ('                     Original KL                                     New KL');
display ([klmp_o,klmp]);