%% Load previous results and set up

load tables_23_p9_min %load results from GA+Multistart optimization

wgtmp=mp(ones(1,numpar)); %set weights as mp object

conmp=mp('[1,1]'); %set constraint as mp object

resfilename2=[resfilename,'_mp']; %new result file name

thetamp=mp(thetaind)'; %set starting value to the minimizer computed by GA+Multistart

%% Additional local optimization using MP version of fminsearch

%define objective function
ObjFunmp=@(theta0)kloptas_mp3(theta0,conmp,wgtmp,nrm,indp,bc);

%set fminsearch options
optfms=optimset('fminsearch');
optfms=optimset(optfms,'Display','iter','MaxFunEvals',50000,'MaxIter',20000,'TolFun',1e-30,'TolX',1e-12);


%perform optimization:
timefms=tic;
[xestmp,fvalmp,eflagmp,outmp] = fminsearch(ObjFunmp,transfmpas2(thetamp([[2:4],[6:15]]),1,1,[[2:4],[6:15]]),optfms);
timelfms=toc(timefms);


%% Arrange and save results
thetaindmp=transfmpas2(xestmp,2,1,[[2:4],[6:15]])'; 
thetaindmp=[thetamp(1);thetaindmp(1:3);thetamp(5);thetaindmp(4:end)];%recover the new minimizer
klmp=fvalmp; %recover the Kl distance

save(resfilename2) %save results into a new file

%% Display results

klmp_o=ObjFunmp(transfmpas2(thetamp([[2:4],[6:15]]),1,1,[[2:4],[6:15]])); %original KL in mp


disp('-----------------------------------------------')

disp 'Table 2. Parameter values minimizing the KL criterion, AS (2007) model'
disp '                                 (c) tau and psi2 fixed, c=1.0'
disp('                 Original minimizer                              New minimizer')
disp([thetamp',thetaindmp]);
 
display ('                     Original KL                                     New KL');
display ([klmp_o,klmp]);