%% Load previous results and set up

load tables_78_p2_min %load results from GA+Multistart optimization

resfilename2=[resfilename,'_mp']; %new result file name

wgtmp=mp(ones(1,numpar)); %set weights as mp object

conmp=mp('[1,0.5]'); %set constraint as mp object


thetamp=mp(thetaind)'; %set starting value to the minimizer computed by GA+Multistart

%% 
%define objective function
ObjFunmp=@(theta0)kloptsw_mp(theta0,conmp,wgtmp,nrm,indp,bc);

%set fminsearch options
optfms=optimset('fminsearch');
optfms=optimset(optfms,'Display','iter','MaxFunEvals',50000,'MaxIter',6000,'TolFun',1e-30,'TolX',1e-12);


%perform optimization:
timefms=tic;
[xestmp,fvalmp,eflagmp,outmp] = fminsearch(ObjFunmp,transfmpsw(thetamp,1,[1:34]),optfms);
timelfms=toc(timefms);

%% Arrange and save results
thetaindmp=transfmpsw(xestmp,2,[1:34])'; %recover the new minimizer
klmp=fvalmp; %recover the Kl distance

save(resfilename2) %save results into a new file

%% Display results

klmp_o=ObjFunmp(transfmpsw(thetamp,1,[1:34])); %original KL in mp


disp('-----------------------------------------------')

disp 'Table 7. Parameter values minimizing the KL criterion, SW (2007) model'
disp '                                 (a) All parameters can vary, c=0.5'
disp('                 Original minimizer                              New minimizer')
disp([thetamp',thetaindmp]);
 
display ('                     Original KL                                     New KL');
display ([klmp_o,klmp]);